iOS Question LocalBuilder error -> ld: framework not found GoogleMaps

David Meier

Active Member
Licensed User
Hi
I tried to use the local builder and use it on XCode 9. Unfortunately it does not work as I get the following error:
ld: framework not found GoogleMaps
clang: error: linker command failed with exit code 1 (use -v to see invocation)

Error: ** BUILD FAILED **

The following build commands failed:
Ld build/B4iProject.build/Release-iphoneos/B4iProject.build/Objects-normal/armv7/MyInfo normal armv7
Ld build/B4iProject.build/Release-iphoneos/B4iProject.build/Objects-normal/arm64/MyInfo normal arm64
(2 failures)


I use local builder 4.41 together with XCode 9.1. The googleMaps.framework I copied to /B4iBuildServer440/Libs

I can use the hosted builder and the app compiles swiftely.
Any help is appreciated!
Regards

David

PS: I want to do this in order to check my app on the iPhone X simulator. I'd prefer the real thing but can't afford it ;)
 

David Meier

Active Member
Licensed User
Resolved:
I needed to download the latest googleMaps.framework from Google:
GoogleMaps-2.5.0 https://dl.google.com/dl/cpdc/6e5f7d9da3112ca6/GoogleMaps-2.5.0.tar.gz

For me it was not so obvious because the frameworks are in different folders and I had to find them there first. My path was
/Subspecs/Maps/Frameworks/GoogleMapsCore.framework
/Subspecs/Maps/Frameworks/GoogleMaps.framework
/Subspecs/Base/Frameworks/GoogleMapsBase.framework

Regards

David
 
Last edited:
Upvote 0
Top